/ comp / gb.compress / compress / file
Compress.File (gb.compress)
Syntax

    SUB File ( Source AS String, Target AS String [ , Level AS Integer ] )

Once you have selected the compression driver, you can compress a file and place the result in another file using this method.

- Source: path of the source file (file to be compressed).
- Target: path of the target file (compressed file). If that file already exists, it will be overwritten.
- Level: compression level, can be a value from Min value to Max value. If you do not pass this parameter, Default value will be used.

### Examples

    ...
    Dim Cp As New Compress

    Cp.Type = "zlib"
    Cp.File("/home/foo/README.TXT" , "/home/foo/README.TXT.gz" , Cp.Max)
    ...